{
  "Routes": [
    //====================================================
    // APIS FOR AN ADMIN 
    //====================================================
    {
      "DownstreamPathTemplate": "/{url}",
      "DownstreamScheme": "http",
      "DownstreamHostAndPorts": [
        {
          "Host": "api-admin.practicekea.com",
          "Port": 80
        }
      ],
      "UpstreamPathTemplate": "/api-admin/{url}",
      "UpstreamHttpMethod": [ "Get", "Post", "Put", "Delete", "Options" ],
      "Priority": 1,

      "�AuthenticationOptions�": {
        "�AuthenticationProviderKey�": "IdentityApiKey",
        "�AllowedScopes�": []
      }
    },
    //====================================================
    // APIS FOR AN INSTITUTE 
    //====================================================
    {
      "DownstreamPathTemplate": "/{url}",
      "DownstreamScheme": "http",
      "DownstreamHostAndPorts": [
        {
          "Host": "api-institute.practicekea.com",
          "Port": 80
        }
      ],
      "UpstreamPathTemplate": "/api-institute/{url}",
      "UpstreamHttpMethod": [ "Get", "Post", "Put", "Delete", "Options" ],
      "Priority": 1
    },


    //====================================================
    // APIS FOR TEACHER 
    //====================================================
    {
      "DownstreamPathTemplate": "/{url}",
      "DownstreamScheme": "http",
      "DownstreamHostAndPorts": [
        {
          "Host": "api-teacher.practicekea.com",
          "Port": 80
        }
      ],
      "UpstreamPathTemplate": "/api-teacher/{url}",
      "UpstreamHttpMethod": [ "Get", "Post", "Put", "Delete", "Options" ],
      "Priority": 1
    },

    //====================================================
    // APIS FOR AN USERS 
    //====================================================
    {
      "DownstreamPathTemplate": "/{url}",
      "DownstreamScheme": "http",
      "DownstreamHostAndPorts": [
        {
          "Host": "api-user.practicekea.com",
          "Port": 80
        }
      ],
      "UpstreamPathTemplate": "/api-user/{url}",
      "UpstreamHttpMethod": [ "Get", "Post", "Put", "Delete", "Options" ],
      "Priority": 1
    },
    //====================================================
    // APIS FOR S3BUCKET 
    //====================================================
    {
      "DownstreamPathTemplate": "/{url}",
      "DownstreamScheme": "http",
      "DownstreamHostAndPorts": [
        {
          "Host": "api-bucket.practicekea.com",
          "Port": 80
        }
      ],
      "UpstreamPathTemplate": "/api-bucket/{url}",
      "UpstreamHttpMethod": [ "Get", "Post", "Put", "Delete", "Options" ],
      "Priority": 1
    },


    //====================================================
    // APIS FOR STUDENT 
    //====================================================
    {
      "DownstreamPathTemplate": "/{url}",
      "DownstreamScheme": "http",
      "DownstreamHostAndPorts": [
        {
          "Host": "api-student.practicekea.com",
          "Port": 80
        }
      ],
      "UpstreamPathTemplate": "/api-student/{url}",
      "UpstreamHttpMethod": [ "Get", "Post", "Put", "Delete", "Options" ],
      "Priority": 1
    }

  ],
  "GlobalConfiguration": {
    "BaseUrl": "http://api.practicekea.com"
  }
}